lp:ubuntu/vivid-proposed/akonadi

Created by Ubuntu Package Importer on 2014-11-03 and last modified on 2015-04-15
Get this branch:
bzr branch lp:ubuntu/vivid-proposed/akonadi
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

105. By Steve Beattie on 2015-04-15

debian/rules: re-enable the override_dh_installinit target, disabled
in an earlier merge from debian. This allows dh-apparmor to create
the postinst for the akonadi-backend-mysql package, which creates
the missing part of that package's apparmor profile at install time
(LP: #1440501)

104. By Philip Muškovac on 2015-04-15

* Still prefer mysql 5.6, but allow any mysql implementation that provides
  virtual-mysql-server-core and virtual-mysql-client-core
  (LP: #1336005)
* Force dependency on akonadi-backend-mysql for akonadi-server.
  (was accidentally dropped in the last debian merge)

103. By Philip Muškovac on 2015-04-09

Allow using mariadb 10.0 as backend for akonadi-backend-mysql
(LP: #1441119)

102. By Scarlett Gately Moore on 2014-10-31

* Merge from Debian unstable. Remaining changes:
  - Add a mysqld-akonadi wrapper script.
  - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
  - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
    mysql-client-core-5.5 or *5.6 instead of mysql-server-core.
  - Force dependency on akonadi-backend-mysql for akonadi-server.
  - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu
  - Add Kubuntu to the maintainers as we are moving to debian git.

101. By Scarlett Gately Moore on 2014-07-18

* New upstream release needed for KDE 4.13.90 beta 2
* Remove patches applied upstream.
* Update symbols with batchpatch.

100. By Philip Muškovac on 2014-06-18

Allow using mysql 5.6 as DB for akonadi-backend-mysql (LP: #1330180)

99. By Jonathan Riddell on 2014-05-12

* Add upstream_1.12.1-invalid-gid.diff from upstream to fix broken upgrade
 - LP: #1318718
 - https://bugs.kde.org/331867

98. By Rohan Garg on 2014-05-08

* Merge from Debian unstable. Remaining changes:
  - Add a mysqld-akonadi wrapper script.
  - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
  - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
    mysql-client-core-5.5 instead of mysql-server-core.
  - Force dependency on akonadi-backend-mysql for akonadi-server.
  - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu

97. By Dimitri John Ledkov on 2014-04-26

No change rebuild against boost1.55.

96. By Harald Sitter on 2014-04-08

New upstream bugfix release

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/akonadi
This branch contains Public information 
Everyone can see this information.

Subscribers